# modules/uip/apps/telnetd/telnetd.c File Reference

`#include "uip.h"`
`#include "telnetd.h"`
`#include "memb.h"`
`#include "shell.h"`
`#include <string.h>`

## Data Structures
struct | telnetd_line
## Defines
#define | ISO_nl 0x0a
#define | ISO_cr 0x0d
#define | STATE_NORMAL 0
#define | STATE_IAC 1
#define | STATE_WILL 2
#define | STATE_WONT 3
#define | STATE_DO 4
#define | STATE_DONT 5
#define | STATE_CLOSE 6
#define | TELNET_IAC 255
#define | TELNET_WILL 251
#define | TELNET_WONT 252
#define | TELNET_DO 253
#define | TELNET_DONT 254
## Functions
| MEMB (linemem, struct telnetd_line, TELNETD_CONF_NUMLINES)
void | shell_quit (char *str)
void | shell_prompt (char *str)
void | shell_output (char *str1, char *str2)
void | telnetd_init (void)
void | telnetd_appcall (void)

## Define Documentation

#define ISO_cr 0x0d

#define ISO_nl 0x0a

#define STATE_CLOSE 6

#define STATE_DO 4

#define STATE_DONT 5

#define STATE_IAC 1

#define STATE_NORMAL 0

#define STATE_WILL 2

#define STATE_WONT 3

#define TELNET_DO 253

#define TELNET_DONT 254

#define TELNET_IAC 255

#define TELNET_WILL 251

#define TELNET_WONT 252

## Function Documentation

MEMB | ( | linemem | ,
|  | struct telnetd_line | ,
|  | TELNETD_CONF_NUMLINES |  |
| ) |  |  |

void shell_output | ( | char * | str1,
|  | char * | str2 |
| ) |  |  |

Print a string to the shell window.

This function is implemented by the shell GUI / telnet server and can be called by the shell back-end to output a string in the shell window. The string is automatically appended with a linebreak.

Parameters:

  | str1 | The first half of the string to be output.
  | str2 | The second half of the string to be output.

void shell_prompt | ( | char * | prompt | ) |

Print a prompt to the shell window.

This function can be used by the shell back-end to print out a prompt to the shell window.

Parameters:

  | prompt | The prompt to be printed.

void shell_quit | ( | char * |  | ) |

Quit the shell.

void telnetd_appcall | ( | void |  | ) |

Here is the call graph for this function:

void telnetd_init | ( | void |  | ) |

Here is the call graph for this function: